# -*- coding: utf-8 -*-

from Evaluate_langchain import evaluate_langchain
from event_langchain import event_langchain
from global_langchain import global_model
from input_main import input_langchain

if_new = int(input("[选择]是否使用数据库中的记录：①新游戏 ②读取存档------"))
if if_new == 2:
    record_id = int(input("[选择]输入存档id------"))
    config_flag = int(input("[选择]是否使用数据库中的配置：①使用 ②不使用------"))
    model = global_model(record_id, True if config_flag == 1 else False)
else:
    model = global_model()
    input_langchain()
if_evaluate = int(input("[选择]是否在每次生成事件后进行优化诊断：①是 ②否------"))
while True:
    events = model.get_events()
    if len(events) != 0:
        if events[-1]["是否需要玩家选择下一步操作"] == True:
            if "玩家选择" not in events[-1]:
                print("[玩家选择]当前事件：" + events[-1]["事件"])
                available_chooses = events[-1]["玩家可以做出的选择"]
                formatted_choices = ""
                for i, choice in enumerate(available_chooses, start=1):
                    formatted_choices += f"{i}. {choice} "
                print("[玩家选择]可供选择的选项：" + formatted_choices)
                choose = int(input("[玩家选择]请选择："))
                events[-1]["玩家选择"] = events[-1]["玩家可以做出的选择"][choose - 1]
                print("[玩家选择]玩家选择了：" + events[-1]["玩家可以做出的选择"][choose - 1])
                model.update_events(events)
    event_langchain()
    if if_evaluate == 1:
        evaluate_langchain()
    if model.get_if_end() == True:
        break