import json
from api.openai_api import get_reply


def intro_2_event(intro,
                  npc,
                  value_intro,
                  target,
                  value='',
                  events='',
                  choose=''):
    data = {
        '故事简介': intro,
        '当前角色设定': npc,
        '当前数值系统': value_intro,
        '当前通关条件': target
    }
    message = '我希望生成一个文字冒险游戏，以下是对游戏故事的要求：' + json.dumps(data,
                                                        ensure_ascii=False)
    if events != '':
        message += '以下是已经发生过的事件:' + events
    if value != '':
        message += '当前玩家数值为:' + value
    if choose != '':
        message += '玩家上次做出的选择为:' + choose
    output_declare = {
        '当前事件':
        '字符串格式，这是展示给玩家的，讲述了玩家当前遇到的事件，例如“0岁，你出生于颍川一个富贵之家...”。出现新的人物时需要在事件中对新的人物进行描写，并在当前角色设定中添加新的角色',
        '是否需要玩家选择下一步操作': 'Boolean格式',
        '玩家可以做出的选择': '数组格式，玩家可以做出的有限个选择，如果不需要玩家做选择则返回空数组',
        '当前角色设定': '数组格式，游戏中的npc角色设定，包括角色的名字、特征',
        '当前数值系统':
        '数组格式，数值系统包括游戏中的数值名称、数值范围、数值含义，例如装备系统、官职系统等；允许由于故事的发展而添加新的数值',
        '当前游戏通关所需条件': '字符串格式，游戏结束的条件，例如“成为了诸侯王”；允许由于故事的发展而修改当前游戏通关条件'
    }
    message += '请基于以上内容对游戏进行设计，并以以下格式输出：' + json.dumps(output_declare,
                                                       ensure_ascii=False)
    print('输入为:\n')
    print(message)
    # return get_reply(message)
    return None