import json
from api.openai_api import get_reply


def event_2_value(intro,
                  npc,
                  value_intro,
                  target,
                  value='',
                  events='',
                  choose=''):
    data = {
        '故事简介': intro,
        '当前角色设定': npc,
        '当前数值系统': value_intro,
        '当前通关条件': target
    }
    message = '我希望生成一个文字冒险游戏，以下是对游戏故事的要求：' + json.dumps(data,
                                                        ensure_ascii=False)
    output_declare = {
        '玩家当前数值': '数组格式，数组中的元素格式为{数值名称:当前数值}',
    }

    if events != '':
        message += '以下是已经发生过的事件:' + events
    if value != '':
        message += '当前玩家数值为:' + value
    if choose != '':
        message += '玩家上次做出的选择为:' + choose

    if value == '':
        message += '基于以上内容设置玩家的初始数值，并以以下格式输出：(不输出格式以外的内容)'
    else:
        if choose != '':
            message += '基于玩家做出的选择设置玩家的当前数值，并以以下格式输出：(不输出格式以外的内容)'
        else:
            message += '基于最后发生的事件设置玩家的当前数值，并以以下格式输出：(不输出格式以外的内容)'
    message += json.dumps(output_declare, ensure_ascii=False)

    print('输入为:\n')
    print(message)
    # return get_reply(message)
    return None